@echo off

set VERSION_PL=26

rem **** TYPE=dbg   or  TYPE=opt   are for vamake
set TYPE=
if EXIST .mktype.cmd call .mktype.cmd
if "%1"=="opt" shift && set TYPE=opt
if "%1"=="OPT" shift && set TYPE=opt
if "%1"=="dbg" shift && set TYPE=dbg
if "%1"=="DBG" shift && set TYPE=dbg
if "%TYPE%"=="" echo Defaulting to OPTimized make && set TYPE=opt
echo set TYPE=%TYPE%>.mktype.cmd

set MY_CURLIB=SAPCRYPTOO
if "%TYPE%"=="dbg" set MY_CURLIB=SAPCRYPTOD

if EXIST .makeenv400 goto :continue

REM ***********************************************************************
REM ** The following is only to get a current .makeenv400 definitions file
REM ** from the SAP make environment,
REM ** but I'll try to use a saved .makeenv400 as long as possible ...
REM ***********************************************************************

:prepare
if NOT "%1"=="" goto :try_make
echo Please supply SAP Release (e.g. 620) for make environment
goto :end

:try_make
vamapro -srcdir \\wdfroot\sapmnt\bas\%1\src -ascii no -type dbgU -mt yes -host as0014 -user %USERNAME% -curlib %MY_CURLIB% krn/o4port initial


:continue
set CC=vacompile -UCRTCMOD
set COMPILER=$(CC)
set LD=valink $@
set LINKER=$(LD)
set OBJ=.OBJ
set EXE=.EXE
set BASENAME_MACRO=$*.c
set LDLIBS=
set XD=
set BUILD=
set POSTLINK=$(RUN) -c "CHGOBJD OBJ($(MY_CURLIB)/SAPCRYPTO) OBJTYPE(*SRVPGM) TEXT('SAPCRYPTOLIB Ver555pl$(VERSION_PL)')"
rem **** the remaining definitions are for vamake
vamake -host as0014 -user %USERNAME% -env .makeenv400 -curlib %MY_CURLIB% Makefile all
if EXIST Makefile2 vamake -host as0014 -user %USERNAME% -env .makeenv400 -curlib %MY_CURLIB% Makefile2 all
if EXIST Makefile3 vamake -host as0014 -user %USERNAME% -env .makeenv400 -curlib %MY_CURLIB% Makefile3 all
:end
